v.sample(1)

NAME
v.sample - Samples a raster map at vector point locations.

KEYWORDS
vector, sampling, raster

SYNOPSIS
v.sample
v.sample --help
v.sample input=name [layer=string] column=name output=name raster=name [method=string] [zscale=float] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

input=name [required]
    Name of input vector point map
    Or data source for direct OGR access

layer=string
    Layer number or name
    Vector features can have category values in different layers. This number determines which layer to use. When used with direct OGR access this is the layer name.
    Default: 1

column=name [required]
    Name of attribute column to use for comparison

output=name [required]
    Name for output vector map to store differences

raster=name [required]
    Name of raster map to be sampled

method=string
    Sampling interpolation method
    Options: nearest, bilinear, bicubic
    Default: nearest
    nearest: Nearest-neighbor interpolation
    bilinear: Bilinear interpolation
    bicubic: Bicubic interpolation

zscale=float
    Scaling factor for values read from raster map
    Sampled values will be multiplied by this factor
    Default: 1.0

DESCRIPTION
v.sample samples a GRASS raster map at the point locations in the input file by either cubic convolution interpolation, bilinear interpolation, or nearest neighbor sampling (default).

This program may be especially useful when sampling for cross validation of interpolations whose output is a raster map.

NOTES
The output points will have the easting and northing of the input points. The input category value is used. The input attribute, raster value and difference is written to output.

When NULL values are encountered for a cell, zero value is used instead. In these cases, more acurrate results may be obtained by using the default nearest neighbor comparisons.

This program may not work properly with lat-long data when the -bc flags are used.

When interpolation is done (i.e., the -bc flags are used), values are assumed to be located at the centroid of grid cells. Therefore, current resolution settings are important.

EXAMPLE
Comparison of "elev_ned_30m" and "elev_srtm_30m" North Carolina sample dataset elevation models at random positions:

# set computational region:
 g.region raster=elev_srtm_30m -p
# generate random points:
 v.random output=random n=100
# add table with one column:
 v.db.addtable random col="elev_srtm30 double precision"
# transfer elevations at random points into table:
 v.what.rast map=random rast=elev_srtm_30m col=elev_srtm30
# verify:
 v.db.select random
# perform sampling on other elevation map:
 v.sample in=random col=elev_srtm30 rast=elev_ned_30m out=elev_samples
#verify:
 v.db.select elev_samples
#univariate statistics of differences between elevation maps:
 v.univar elev_samples column=diff type=point

SEE ALSO
g.region, v.random, v.what.rast Image Sampling Methods - GRASS Tutorial on s.sample (available as s.sample-tutorial.ps.gz)

AUTHORS
James Darrell McCauley
when he was at: Agricultural Engineering Purdue University

Updated for GRASS 5.0 by Eric G. Miller
Updated for GRASS 5.7 by Radim Blazek

SOURCE CODE

Available at: v.sample source code (history)

Latest change: Thursday Jan 26 14:10:26 2023 in commit: cdd84c130cea04b204479e2efdc75c742efc4843

Main index | Vector index | Topics index | Keywords index | Graphical index | Full index

© 2003-2023 GRASS Development Team, GRASS GIS 8.4.0dev Reference Manual